# Class TribbleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.tribble.TribbleException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TribbleException.CorruptedIndexFile, TribbleException.FeatureFileDoesntExist, TribbleException.InternalCodecException, TribbleException.InvalidDecodeLine, TribbleException.InvalidHeader, TribbleException.MalformedFeatureFile, TribbleException.TabixReaderFailure, TribbleException.UnableToCreateCorrectIndexType, TribbleException.UnableToReadIndexFile`

public class TribbleException extends RuntimeException

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TribbleException.CorruptedIndexFile`
`static class`
`TribbleException.FeatureFileDoesntExist`
`static class`
`TribbleException.InternalCodecException`
`static class`
`TribbleException.InvalidDecodeLine`
`static class`
`TribbleException.InvalidHeader`
`static class`
`TribbleException.MalformedFeatureFile`
`static class`
`TribbleException.TabixReaderFailure`
`static class`
`TribbleException.UnableToCreateCorrectIndexType`
`static class`
`TribbleException.UnableToReadIndexFile`

## Constructor Summary

Constructors
Constructor
Description
`TribbleException(String msg)`
`TribbleException(String message, Throwable throwable)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
override the default message with ours, which attaches the source file in question
`void`
`setSource(String source)`
set the source for the file; where we got lines from

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TribbleException

public TribbleException(String msg)

### TribbleException

public TribbleException(String message, Throwable throwable)

## Method Details

### setSource

public void setSource(String source)
set the source for the file; where we got lines from

Parameters:
  `source` - the source location, usually a file though it could be a http link or other source

### getMessage

public String getMessage()
override the default message with ours, which attaches the source file in question

Overrides:
  `getMessage` in class `Throwable`
Returns:
  a string with our internal error, along with the causitive source file (or other input source)